%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtserialport
Version:       6.9.0
Release:       1mamba
Summary:       Qt6 serial port component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtserialport-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: qt6-qtbase-devel
## AUTOBUILDREQ-END

%description
Qt6 serial port component.

%package -n libQt6SerialPort
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libQt6SerialPort
This package contains shared libraries for %{name}.

%package -n libQt6SerialPort-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt6SerialPort = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt6SerialPort-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n qtserialport-everywhere-src-%{version}

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n libQt6SerialPort
%defattr(-,root,root)
%{_libdir}/libQt6SerialPort.so.*
%{_libdir}/qt6/metatypes/qt6serialport_release_metatypes.json
%{_libdir}/qt6/modules/SerialPort.json
%{_qt6_archdatadir}/sbom/qtserialport-%{version}.spdx
%doc LICENSES

%files -n libQt6SerialPort-devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtSerialPort
%{_includedir}/qt6/QtSerialPort/*
%{_libdir}/libQt6SerialPort.prl
%{_libdir}/libQt6SerialPort.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_serialport.pri
%{_libdir}/qt6/mkspecs/modules/qt_lib_serialport_private.pri
%dir %{_libdir}/cmake/Qt6SerialPort
%{_libdir}/cmake/Qt6SerialPort/Qt6SerialPort*.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSerialPortTestsConfig.cmake
%dir %{_libdir}/cmake/Qt6SerialPortPrivate
%{_libdir}/cmake/Qt6SerialPortPrivate/Qt6SerialPortPrivate*.cmake
%{_libdir}/pkgconfig/Qt6SerialPort.pc

%changelog
* Sun Apr 06 2025 Automatic Build System <autodist@openmamba.org> 6.9.0-1mamba
- automatic version update by autodist

* Fri Mar 28 2025 Automatic Build System <autodist@openmamba.org> 6.8.3-1mamba
- automatic version update by autodist

* Mon Feb 03 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Fri Dec 06 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Sat May 27 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Wed Apr 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Thu Jan 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2-1mamba
- update to 6.2.2

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
